%define anolis_release 2
%global glib2_version 2.57.2
%global gtk3_version 3.24.0
%bcond_with check

Name:           libdazzle
Version:        3.44.0
Release:        %{anolis_release}%{?dist}
Summary:        Experimental new features for GTK+ and GLib

License:        GPLv3+
URL:            https://gitlab.gnome.org/GNOME/libdazzle
Source0:        https://download.gnome.org/sources/%{name}/3.44/%{name}-%{version}.tar.xz

BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gmodule-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}

%if %{with check}
# for tests
BuildRequires:  tigervnc-server-minimal
BuildRequires:  words
%endif

Requires:       glib2 >= %{glib2_version}
Requires:       gtk3 >= %{gtk3_version}

%description
libdazzle is a collection of fancy features for GLib and Gtk+ that aren't quite
ready or generic enough for use inside those libraries. This is often a proving
ground for new widget prototypes. Applications such as Builder tend to drive
development of this project.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1


%build
%meson -D enable_gtk_doc=true
%meson_build


%install
%meson_install

%generate_compatibility_deps

%if %{with check}
%check
Xvnc :99 -nolisten tcp &
export DISPLAY=:99
%meson_test
%endif

%files
%license COPYING
%{_bindir}/dazzle-list-counters
%{_libdir}/libdazzle-1.0.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Dazzle-1.0.typelib
%dir %{abidir}
%{abidir}/libdazzle-1.0.dump

%files devel
%doc CONTRIBUTING.md examples
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Dazzle-1.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/libdazzle
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libdazzle-1.0.*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libdazzle-1.0.pc

%files doc
%doc AUTHORS NEWS README.md

%changelog
* Wed Dec 13 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 3.44.0-2
- rebuild

* Wed Mar 29 2023 happy_orange <songnannan@linux.alibaba.com> - 3.44.0-1
- init package
